Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.table
Interface TableCellRenderer

All Known Implementing Classes:
  DefaultTableCellRenderer

public interface TableCellRenderer

This interface defines the method required by any object that would like to be a renderer for cells in a `JTable`.

Method Summary
`Component` | `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)` Returns the component used for drawing the cell.

Method Detail

### getTableCellRendererComponent

    public Component getTableCellRendererComponent(JTable table,
                                                   Object value,
                                                   boolean isSelected,
                                                   boolean hasFocus,
                                                   int row,
                                                   int column)

  Returns the component used for drawing the cell. This method is used to configure the renderer appropriately before drawing.
  Parameters:
    `table` - the `JTable` that is asking the renderer to draw; can be `null`
    `value` - the value of the cell to be rendered. It is up to the specific renderer to interpret and draw the value. For example, if `value` is the string "true", it could be rendered as a string or it could be rendered as a check box that is checked. `null` is a valid value
    `isSelected` - true if the cell is to be rendered with the selection highlighted; otherwise false
    `hasFocus` - if true, render cell appropriately. For example, put a special border on the cell, if the cell can be edited, render in the color used to indicate editing
    `row` - the row index of the cell being drawn. When drawing the header, the value of `row` is -1
    `column` - the column index of the cell being drawn

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.